# Common functions for the 'radioai' startup scripts.

PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:$PATH
export PATH

test -e /etc/default/radioai && . /etc/default/radioai

if [ -z "${DOMAIN}" ]; then
    echo "You must set DOMAIN in /etc/default/radioai!" 1>&2
    exit 1
fi

set_public_ip() {
    # Try to guess the public IP of this host if unset, resolving the
    # fully-qualified host name.
    if [ -z "${PUBLIC_IP}" ]; then
        PUBLIC_IP=$(getent hosts $(hostname -f) | awk '{print $1}' | head -1)
    fi
    if [ -z "${PUBLIC_IP}" ]; then
        PUBLIC_IP=127.0.0.1
    fi
}

set_etcd_params() {
    local default_etcd_server="etcd.${DOMAIN}"
    ETCD_SERVER="${ETCD_SERVER:-${default_etcd_server}}"
    ETCD_OPTIONS="${ETCD_OPTIONS} --etcd-server=${ETCD_SERVER}"
}
